Subject: Re: Mounts and relative pathnames
From: [email-masked] (Kenneth Chiu)

15 Mar 1998 00:46:10 -0800
Message-ID: <Pine.BSF.3.96.980311235421.377A-100000.cygnus.gnu-win32@localhost>
References: <[email-masked]>
Reply-To: Kenneth Chiu <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]

On Tue, 10 Mar 1998, Earnie Boyd wrote:
> >searched the FAQ and the mailing list archives, but haven't found
> >anything.  Suppose I do the following sequence:
> >
> >    mount N:/root /
> >    mount N:/dir1 /usr
> >    cd /
> >    ls usr
> >
> >I would expect to see the contents of N:/dir1, but instead I see
> >nothing.  If I type 'ls /usr', I see what I expect, so I think I'm
> >executing the correct 'ls'.  If I type 'cd usr', and then 'ls', I
> >also see what I expect.
> 
> Is there a physical directory name N:\root\usr?  If so then things will 
> get confused/confusing.  Cygwin.dll will not know how to handle this 
> instance, and will not handle it the same everytime.

Yes, there is a real directory N:\root\usr.  Without it, usr does
not show up if I first do a 'cd \' and then an ls.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".